Bug 50466 - Instalacisn redhat Linus 7.1 en laptop Airis sis630, TFT 14
Instalacisn redhat Linus 7.1 en laptop Airis sis630, TFT 14
Status: CLOSED NOTABUG
Product: Red Hat Web Site
Classification: Red Hat
Component: Global Header (Show other bugs)
current
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: rcabral
Tom Lancaster
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-31 11:02 EDT by Need Real Name
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-23 10:23:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fichero Configuracisn X Windows (3.00 KB, patch)
2001-07-31 11:04 EDT, Need Real Name
no flags Details | Diff

  None (edit)
Description Need Real Name 2001-07-31 11:02:04 EDT
Description of Problem:
Instalacisn Distibucisn Redhat Linux 7.1, sobre un Airis laptop 4180 con 
las siguientes caractermsticas HW:
   Placa madre SIS 630, TFT 14, PIII 1000, 128MB RAM, Audio SIS 7018, 
Ethernet SiS 900 PCI.
   Una vez instalado el producto, no arranca las X Windows. Tienen 
problemas con el refresco de pantalla.


How Reproducible:
   Instalacisn para portatil, con las opciones que el da por defecto, 
entre ellas, el soporte de video mendiante sis630, y monitor desconocido.

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:
   Solucisn a este problema:
1.- Instalar redhat 7.1 seleccionando en la instalacisn el soporte para 
video dado en "Generic VGA Compatible", indicando (en mi caso los 16MB) la 
memoria de Video y utilizando el monitor "Generic laptop 1024x768" con las 
frecuencias dadas por defecto mas 16 bpp para el manejo de colores.
 
2.-Expected Results:Indicar que el login lo de en modo texto, aunque le 
tengamos dicho que instale los paquetes KDE y GNOME.

3.-Una vez completada la instalacisn, en la cual podemos personalizar los 
paquetes de productos a instalar o dejar los que el da por defecto, 
arrancamos nuesto PC en Linux, y abrimos una sesisn en modo texto, con el 
usuario root.

4.- Nos cambiamos al directorio /etc/X11, y modificamos algunos de los 
parametros del fichero XF86Config-4 (los referentes al manejo de la 
pantalla). El fichero quedarma de la siguiente manera:

######## Fichero XF86Config-4   ###############################
# File generated by anaconda.

Section "ServerLayout"
        Identifier     "Anaconda Configured"
        Screen      0  "Screen0" 0 0
        InputDevice    "Mouse0" "CorePointer"
        InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "Files"

# The location of the RGB database.  Note, this is the name of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.

    RgbPath	"/usr/X11R6/lib/X11/rgb"

# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.

    FontPath   "unix/:7100"

EndSection

Section "Module"
        Load  "GLcore"
        Load  "dbe"
        Load  "extmod"
	Load "fbdevhw"
	Load "pex5"
	Load "dri"
        Load  "glx"
        Load  "pex5"
        Load  "record"
        Load  "xie"
EndSection

Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "keyboard"

#	Option	"AutoRepeat"	"500 5"

# when using XQUEUE, comment out the above line, and uncomment the
# following line
#	Option	"Protocol"	"Xqueue"

# Specify which keyboard LEDs can be user-controlled (eg, with xset(1))
#	Option	"Xleds"		"1 2 3"

# To disable the XKEYBOARD extension, uncomment XkbDisable.
#	Option	"XkbDisable"

# To customise the XKB settings to suit your keyboard, modify the
# lines below (which are the defaults).  For example, for a non-U.S.
# keyboard, you will probably want to use:
#	Option	"XkbModel"	"pc102"
# If you have a US Microsoft Natural keyboard, you can use:
#	Option	"XkbModel"	"microsoft"
#
# Then to change the language, change the Layout setting.
# For example, a german layout can be obtained with:
#	Option	"XkbLayout"	"de"
# or:
#	Option	"XkbLayout"	"de"
#	Option	"XkbVariant"	"nodeadkeys"
#
# If you'd like to switch the positions of your capslock and
# control keys, use:
#	Option	"XkbOptions"	"ctrl:nocaps"
	Option	"XkbRules"	"xfree86"
	Option	"XkbModel"	"pc102"
	Option	"XkbLayout"	"es"
	#Option	"XkbVariant"	""
	#Option	"XkbOptions"	""
EndSection

Section "InputDevice"
        Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "PS/2"
        Option      "Device" "/dev/psaux"
        Option      "ZAxisMapping" "4 5"
        Option      "Emulate3Buttons" "yes"
EndSection

Section "Monitor"
        Identifier   "Monitor0"
        VendorName   "Monitor Vendor"
        ModelName    "Monitor Model"
        HorizSync   31.5-48.5
        VertRefresh 40-70
EndSection

Section "Device"
	# no known options
	Option		"HWCursor"
	Option		"FastVram"
	Option		"ForceCRT2Type" "LCD"
	Identifier   "Card0"
        Driver       "sis"
        VendorName   "SIS"
        BoardName     "630"
        
        BusID	"PCI:1:0:0"
EndSection

Section "Screen"
	Identifier   "Screen0"
        Device       "Card0"
        Monitor      "Monitor0"
	DefaultDepth	16

	Subsection "Display"
        	Depth       16
                Modes       "1024x768" 
	EndSubsection

EndSection

Section "DRI"
	Mode 0666
EndSection


Additional Information:
	
############################## Fin XF86Config-4

Prestar especial atencisn alas secciones "Monitor", "Device" y "Screen".

5.- Modificamos la linea del fichero /etc/inittab 
     id:initdefault : de 3 a 5
 con lo que en el siguiente boot obtenemos una sesisn X Windows.
Comment 1 Need Real Name 2001-07-31 11:04:21 EDT
Created attachment 25593 [details]
Fichero Configuracisn X Windows
Comment 2 Martin C. Messer 2003-07-23 10:23:47 EDT
Support request, not a redhat.com bug.

Note You need to log in before you can comment on or make changes to this bug.